package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppCallbackXglt;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppUserLog;

import java.util.Map;

public interface GameOceanengineAppCallbackXgltService extends IService<GameOceanengineAppCallbackXglt> {

    /**
     * 回调处理
     *
     * @param paramMap : 回调参数
     * @return : 返回结果
     */
    boolean callback(Map<String, Object> paramMap);

    /**
     * 获取回调参数
     *
     * @param userLog : 用户日志
     * @return : 返回结果
     */
    String getCallBackParamByUser(GameOceanengineAppUserLog userLog);
}
